slim(1)

NAME
slim - Simple LogIn Manager

SYNOPSIS
slim [options] [<arguments>]

DESCRIPTION
SLiM is a lightweight login manager for X11, allowing the initialization of a graphical session by entering username and password in a login screen. It is desktop-agnostic and should work (suitably configured) with any session style.

OPTIONS

-c /path/to/config
    select a non-standard configuration file instead of /etc/slim.conf

-d  run as a daemon

-n  do NOT run as a daemon

-s  be systemd compatible by disabling consolekit support. This option does nothing if consolekit support has not been built in.

-p /path/to/theme
    display a preview of the theme. An already running X11 session is required for theme preview.

-w <www>x<hhh>
    set the size of the window used for theme preview. This option is only valid after a -p option

-h  display a brief help message

-v  display version information

EXAMPLES

slim -d
    run slim in daemon mode

slim -p /usr/share/slim/themes/default -w 800x600
    preview of the default theme at low resolution

STARTING SLIM AT BOOT
Please refer to the documentation of your Operating System to make slim automatically startup after the system boots. In particular, the method is very different between SysV, OpenRC, runit and systemd init processes.

CONFIGURATION
Global configuration is stored in the /etc/slim.conf file. See the comments inside the file for a detailed explanation of the options.

USAGE AND SPECIAL USERNAMES
When started, slim will show a login panel; enter the username and password of the user you want to login as.

Special usernames:

console
    open an xterm login console. No password needed

exit
    quit slim. No password needed. See the note in BUGS.

halt
    shutdown the machine

reboot
    reboot the machine

suspend
    power-suspend the machine

See the configuration file for customizing the above commands. The 'halt' and 'reboot' commands need the root password, and hence may not work on systems where root login is disabled.

Shortcuts:

F11 executes a custom command (by default takes a screenshot)

F1  choose session type from session list.

BUGS
When run as a daemon from OpenRC (and possibly other init systems), causing SLiM to quit can sometimes result in a blank screen and unresponsive computer. This includes when using the "exit" special username.

SLiM does not handle expired passwords and treats them as expired accounts.

Probably still a few more but I'm working on them.

AUTHORS
Simone Rota <sip@varlock.com>

Johannes Winkelmann <jw@tks6.net>

Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Rob Pearce <slim@flitspace.org.uk>

SEE ALSO
slimlock(1)

See the online documentation at the SLiM web site for further information on themes, FAQs, etc.